Bug 664949 - Review Request: perl-Proc-Wait3 - Perl extension for wait3 system call
Summary: Review Request: perl-Proc-Wait3 - Perl extension for wait3 system call
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 664982 665005
TreeView+ depends on / blocked
 
Reported: 2010-12-22 09:27 UTC by Ralf Corsepius
Modified: 2011-01-23 20:26 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-23 20:24:32 UTC
mmaslano: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2010-12-22 09:27:19 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Proc-Wait3.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Proc-Wait3-0.03-1.fc15.src.rpm

Description:
If any child processes have exited, this call will "reap" the zombies
similar to the perl "wait" function.

Comment 1 Marcela Mašláňová 2011-01-07 15:00:27 UTC
- rpmlint OK
W: private-shared-object-provides /usr/lib64/perl5/auto/Proc/Wait3/Wait3.so Wait3.so()(64bit)
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
http://koji.fedoraproject.org/koji/taskinfo?taskID=2707110
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -qp --provides /home/marca/rpmbuild/RPMS/x86_64/perl-Proc-Wait3-0.03-1.fc14.x86_64.rpm 
Wait3.so()(64bit)  
perl-Proc-Wait3 = 0.03-1.fc14
perl-Proc-Wait3(x86-64) = 0.03-1.fc14

rpm -qp --requires /home/marca/rpmbuild/RPMS/x86_64/perl-Proc-Wait3-0.03-1.fc14.x86_64.rpm 
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
perl(:MODULE_COMPAT_5.12.2)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  

In provides is missing perl(Proc::Wait3). Wait3.so shouldn't be provided, which could be easily filtered by macro perl_default_filter.

Comment 2 Ralf Corsepius 2011-01-09 06:39:09 UTC
(In reply to comment #1)

> rpm -qp --provides
> /home/marca/rpmbuild/RPMS/x86_64/perl-Proc-Wait3-0.03-1.fc14.x86_64.rpm 
> Wait3.so()(64bit)  
> perl-Proc-Wait3 = 0.03-1.fc14
> perl-Proc-Wait3(x86-64) = 0.03-1.fc14

> In provides is missing perl(Proc::Wait3).
It does. As I already tried to tell you in another review, the way you are invoking rpm is wrong:

You need to specify the <package> as argument to -p
=> rpm -q --provides -p <package>

> Wait3.so shouldn't be provided,
Agreed.

Update:
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Proc-Wait3.spec
SRPM URL:
http://corsepiu.fedorapeople.org/packages/perl-Proc-Wait3-0.03-2.fc15.src.rpm

Comment 3 Marcela Mašláňová 2011-01-10 09:15:10 UTC
ACCEPT

Comment 4 Ralf Corsepius 2011-01-14 07:13:03 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: perl-Proc-Wait3
Short Description: Perl extension for wait3 system call
Owners: corsepiu
Branches: f13 f14
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2011-01-14 17:17:53 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-01-15 04:52:50 UTC
perl-Proc-Wait3-0.03-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Proc-Wait3-0.03-2.fc14

Comment 7 Fedora Update System 2011-01-15 04:52:57 UTC
perl-Proc-Wait3-0.03-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Proc-Wait3-0.03-2.fc13

Comment 8 Fedora Update System 2011-01-15 22:22:28 UTC
perl-Proc-Wait3-0.03-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Proc-Wait3'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Proc-Wait3-0.03-2.fc14

Comment 9 Fedora Update System 2011-01-23 20:24:25 UTC
perl-Proc-Wait3-0.03-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-01-23 20:25:56 UTC
perl-Proc-Wait3-0.03-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.